Index Page ekcls_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void ekcls_c ( SpiceInt handle )

#### Abstract

       Close an E-kernel.

#### Required_Reading

       EK

#### Keywords

       EK
       FILES
       UTILITY

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       handle     I   EK file handle.

#### Detailed_Input

       handle         is the file handle of an EK to be closed.  Note
                      that EKs open for writing must be closed by this
                      routine in order by be valid.

#### Detailed_Output

       None.

#### Parameters

       None.

#### Exceptions

       1)  If the indicated file is not recognized, no error is
           signalled.

       2)  If an I/O error occurs while reading or writing the indicated
           file, the error will be diagnosed by routines called by this
           routine.

#### Files

       See the EK Required Reading for a discussion of the EK file
       format.

#### Particulars

       This routine should be used to close open EK files.  EK files
       open for writing *must* be closed by this routine in order to be
       valid.  EK files open for read access should also be closed using
       this routine.

#### Examples

       1)  Add data to an existing EK file, then close the file.

              ekopw_c ( "my.ek", &handle );

                 [add data]

              ekcls_c ( handle );

#### Restrictions

       1)  No more than CSPICE_DAS_MAX_OPEN_FILES DAS files may be opened
           simultaneously.

           See SpicePar.h for the value of CSPICE_DAS_MAX_OPEN_FILES.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman   (JPL)

#### Version

       -CSPICE Version 1.1.0, 23-JUL-2001 (NJB)

          Removed tab characters from source file.

       -CSPICE Version 1.0.0, 31-MAR-1998 (NJB)

          Based on SPICELIB Version 1.0.0, 26-SEP-1995 (NJB)

#### Index_Entries

       close EK

#### Link to routine ekcls_c source file ekcls_c.c

    Wed Apr  5 17:54:33 2017